Bug 39655 - UMC session closes unexpectedly when interacting with the UMC App Center module
UMC session closes unexpectedly when interacting with the UMC App Center module
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Dirk Wiesenthal
Stefan Gohmann
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-28 17:42 CET by Alexander Kläser
Modified: 2015-11-17 12:12 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2015-10-28 17:42:54 CET
We received the feedback that the UMC session unexpectedly closes when interacting with the UMC App Center module. This is due to the fact that the app data is loaded only at the beginning. When browsing the app catalog, there is no interaction with the UMC backend module process, thus the session is being closed after some time. We could just send some dummy requests to make sure that the session is being kept open.
Comment 1 Florian Best univentionstaff 2015-10-28 18:01:20 CET
We could also not display the login dialog via the timer but wait for the backend which tells us that the session is expired. (I would like this more!).
This would be a solution for every module.
Comment 2 Dirk Wiesenthal univentionstaff 2015-11-03 01:16:49 CET
Fixed in
  univention-appcenter 5.0.14-11.49.201511030106

Every time an app is opened, appcenter/ping is requested. Thought about appcenter/get and actually updating the AppDetailsPage in the background, but this seems to be too much of a hassle for not so much use cases.
Comment 3 Stefan Gohmann univentionstaff 2015-11-04 08:52:12 CET
Tests: OK

Code review: OK

Changelog: Failed → reopen
Comment 4 Dirk Wiesenthal univentionstaff 2015-11-04 15:42:28 CET
Changelog added
Comment 5 Stefan Gohmann univentionstaff 2015-11-04 20:41:21 CET
(In reply to Dirk Wiesenthal from comment #4)
> Changelog added

OK
Comment 6 Stefan Gohmann univentionstaff 2015-11-17 12:12:15 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".